package com.ruoyi.project.reliability.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 结束的故障管理跟踪对象 t_bam_finish
 *
 * @author ruoyi
 * @date 2020-12-21
 */
public class TBamFinish extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 对应故障管理跟踪表ID */
    private Long bamId;

    /** 装置名称 */
    @Excel(name = "装置名称", dictType = "PLANT_DIVIDE")
    private String plantCode;

    /** ITEM */
    private String item;

    /** 优先级 */
    @Excel(name = "优先级", dictType = "PRIORITY")
    private String priority;

    /** 位号 */
    @Excel(name = "位号")
    private String fl;

    /** 设备名称 */
    @Excel(name = "设备名称")
    private String description;

    /** 专业 */
    @Excel(name = "专业", dictType = "DISCIPLINE")
    private String discipline;

    /** 故障简述 */
    @Excel(name = "故障简述")
    private String failbrief;

    /** 改进前维修费用 */
    @Excel(name = "改进前维修费用")
    private Double maintcostbi;

    /** 改进前工艺损失/年 */
    @Excel(name = "改进前工艺损失/年")
    private Double prodlossbi;

    /** 改进后维修费用 */
    @Excel(name = "改进后维修费用")
    private Double maintcostai;

    /** 改进后工艺损失/年 */
    @Excel(name = "改进后工艺损失/年")
    private Double prodlossai;

    /** 实际收益 */
    @Excel(name = "实际收益")
    private Double benefit;

    /** 实际投资 */
    @Excel(name = "实际投资")
    private Double investcost;

    /** 实际回报率 */
    @Excel(name = "实际回报率")
    private Double pro;

    /** 计划完成期限 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "计划完成期限", width = 30, dateFormat = "yyyy-MM-dd")
    private Date plancompdate;

    /** 实际完成期限 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "实际完成期限", width = 30, dateFormat = "yyyy-MM-dd")
    private Date actcompdate;

    /** 负责人 */
    @Excel(name = "负责人")
    private String responsible;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    private Date createdate;

    /** 修改人 */
    private String updaterCode;

    /** 修改时间 */
    private Date updatedate;

    /** 部门编号 */
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setBamId(Long bamId)
    {
        this.bamId = bamId;
    }

    public Long getBamId()
    {
        return bamId;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setItem(String item)
    {
        this.item = item;
    }

    public String getItem()
    {
        return item;
    }
    public void setPriority(String priority)
    {
        this.priority = priority;
    }

    public String getPriority()
    {
        return priority;
    }
    public void setFl(String fl)
    {
        this.fl = fl;
    }

    public String getFl()
    {
        return fl;
    }
    public void setDescription(String description)
    {
        this.description = description;
    }

    public String getDescription()
    {
        return description;
    }
    public void setDiscipline(String discipline)
    {
        this.discipline = discipline;
    }

    public String getDiscipline()
    {
        return discipline;
    }
    public void setFailbrief(String failbrief)
    {
        this.failbrief = failbrief;
    }

    public String getFailbrief()
    {
        return failbrief;
    }
    public void setMaintcostbi(Double maintcostbi)
    {
        this.maintcostbi = maintcostbi;
    }

    public Double getMaintcostbi()
    {
        return maintcostbi;
    }
    public void setProdlossbi(Double prodlossbi)
    {
        this.prodlossbi = prodlossbi;
    }

    public Double getProdlossbi()
    {
        return prodlossbi;
    }
    public void setMaintcostai(Double maintcostai)
    {
        this.maintcostai = maintcostai;
    }

    public Double getMaintcostai()
    {
        return maintcostai;
    }
    public void setProdlossai(Double prodlossai)
    {
        this.prodlossai = prodlossai;
    }

    public Double getProdlossai()
    {
        return prodlossai;
    }
    public void setBenefit(Double benefit)
    {
        this.benefit = benefit;
    }

    public Double getBenefit()
    {
        return benefit;
    }
    public void setInvestcost(Double investcost)
    {
        this.investcost = investcost;
    }

    public Double getInvestcost()
    {
        return investcost;
    }
    public void setPro(Double pro)
    {
        this.pro = pro;
    }

    public Double getPro()
    {
        return pro;
    }
    public void setPlancompdate(Date plancompdate)
    {
        this.plancompdate = plancompdate;
    }

    public Date getPlancompdate()
    {
        return plancompdate;
    }
    public void setActcompdate(Date actcompdate)
    {
        this.actcompdate = actcompdate;
    }

    public Date getActcompdate()
    {
        return actcompdate;
    }
    public void setResponsible(String responsible)
    {
        this.responsible = responsible;
    }

    public String getResponsible()
    {
        return responsible;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("bamId", getBamId())
            .append("plantCode", getPlantCode())
            .append("item", getItem())
            .append("priority", getPriority())
            .append("fl", getFl())
            .append("description", getDescription())
            .append("discipline", getDiscipline())
            .append("failbrief", getFailbrief())
            .append("maintcostbi", getMaintcostbi())
            .append("prodlossbi", getProdlossbi())
            .append("maintcostai", getMaintcostai())
            .append("prodlossai", getProdlossai())
            .append("benefit", getBenefit())
            .append("investcost", getInvestcost())
            .append("pro", getPro())
            .append("plancompdate", getPlancompdate())
            .append("actcompdate", getActcompdate())
            .append("responsible", getResponsible())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .append("deptName", getDeptName())
            .toString();
    }
}
